GET
/api/v1/billing/transactions/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/billing/transactions/?type=<TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/billing/transactions/", params={"type": "<TYPE>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/billing/transactions/");url.search = new URLSearchParams({ type: "<TYPE>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Fetches billing transactions and generated invoices, with support for filtering by billing type like invoices and credit_notes, project, and location.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”type
required
string
Type of transaction (invoice or credit_notes)
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successful billing transactions response
Media typeapplication/json
object
code
integer
data
object
items
Array
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 0}